Subject: soft permanent lsps

From: Juha Heinanen <[email-masked]>
Date: Tue, 30 Nov 1999 16:18:21 +0200 (EET)

looks like the ldp i-d doesn't (at least explicitly) support soft
permanent lsps.  what would be needed is that the lsr that initiates a
label request message can also tell the label value that it wants to be
used at the destination interface.

nothing new seems to be needed for the identification of the destination
interface, since the destination lsr can advertise separately each of
its interface addresses.  or one could use a label pushed to the stack
by the source lsr to identify the destination interface, but i'm not
sure if that would be consistent with the processing rules of labeled
packets.

an even bigger sounding hack would be to use the label stack also to
convey the label to the destination interface.  i would, however, prefer
to define a new destination label ltv for that purpose.

comments?

-- juha